## org.apache.mahout.math.als
Class AlternatingLeastSquaresSolver

    java.lang.Object
      org.apache.mahout.math.als.AlternatingLeastSquaresSolver

    public final class AlternatingLeastSquaresSolver

extends Object

See this paper.

Method Summary
`static Vector` `solve(Iterable<Vector> featureVectors, Vector ratingVector, double lambda, int numFeatures)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### solve

    public static Vector solve(Iterable<Vector> featureVectors,
                               Vector ratingVector,
                               double lambda,
                               int numFeatures)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.